@echo off

rem check for software directory ...
if NOT EXIST software (
  echo ERROR: directory [ software ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd software
)

clear
echo ================================================
echo START download of software from SOURCE sites ... 
echo ================================================
date /t
time /t
echo.

rem start downloads ...
for %%D in (

  basic
  browser
  optional

) do (

  echo ########## [ %%D ] SOFTWARE ##########
  call download-from-source.cmd %%D
  echo.

)

rem for "other" packages use internal ftp server ...
call download-from-ftp.cmd other
echo.

rem go back ...
cd ..

rem check for apps directory ...
if NOT EXIST apps (
  echo ERROR: directory [ apps ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd apps
)

echo ================================================
echo START download of APPS from SOURCE sites ... 
echo ================================================
date /t
time /t
echo.

call download-apps-from-source.cmd
echo.

rem go back ...
cd ..

echo.
date /t
time /t
echo ======
echo READY.
echo ======

